<script lang="ts">
  import logo from '$lib/assets/images/NCAE-reverse.png';
  import navTabs, { shouldDisplay } from './data/nav-tabs';
  import Fa from 'svelte-fa';
  import { isNavLink } from '$lib/interfaces/navigation.interface';
  import { isAuthenticated, authTokenParsed } from '$stores/authStore';
</script>

<footer class="bg-cyber-blue-900 text-cyber-gray-100 px-10 py-4">
  <div class="hidden md:flex justify-between">
    <div class="w-full mr-20">
      <ul class="h-full flex justify-between">
        {#key $authTokenParsed}
          <!-- Dropdown Tabs -->
          {#each navTabs as tab}
            {#if shouldDisplay(tab, $isAuthenticated, $authTokenParsed)}
              <li class="mx-2">
                {#if isNavLink(tab)}
                  <h5 class="uppercase font-semibold mb-2">
                    <a href={tab.href} class="text-white hover:text-cyber-blue-500">{tab.label}</a>
                  </h5>
                {:else}
                  <h5 class="uppercase font-semibold mb-2">{tab.label}</h5>
                  <ul>
                    {#each tab?.links as link}
                      {#if shouldDisplay(link, $isAuthenticated, $authTokenParsed)}
                        <li class="mb-2 flex flex-row">
                          {#if link.icon}
                            <Fa class="mr-1.5" icon={link.icon} size="lg" />
                          {/if}
                          <a href={link.href} class="text-white hover:text-cyber-blue-500">{link.label}</a>
                        </li>
                      {/if}
                    {/each}
                  </ul>
                {/if}
              </li>
            {/if}
          {/each}
        {/key}
      </ul>
    </div>
    <div class="flex flex-col justify-center py-4 mr-4">
      <a href="/"><img src={logo} alt="brand" class="p-4 rounded-sm" /></a>
    </div>
  </div>
  <div class="flex flex-col">
    <small class="text-cyber-gray-600">Funded by NCAE-C Grant H98230-22-1-0316</small>
  </div>
</footer>
